# oscript-smartProxy
 
Библиотека для получения работающих https прокси серверов.

### Цели создания библиотеки

В связи с банхаммером ркн, блокируется много невиновных ip адресов, доступ к которым необходим. Библиотека направлена на отправку трафика через рабочие прокси сервера. В этих же условиях, перебирать прокси руками - не хватит рук, поэтому эта задача автоматизирована. 

## Примеры использования

### Подключение к http ресурсу

```bsl
#Использовать smartProxy

...

Пока ((КодСостоянияСоединения > 300) И (КоличествоПопытокПодключения < 25)) Цикл
    Попытка
        Прокси = ПолучитьПрокси.ПоНомеру(КоличествоПопытокПодключения);
        // ИЛИ Прокси = ПолучитьПрокси.Случайный();	
        HTTP = Новый HTTPСоединение(ИмяСервера,443,,,Прокси,3);
        ОтветHTTP = HTTP.ОтправитьДляОбработки(HTTPЗапрос);
        КодСостоянияСоединения = ОтветHTTP.КодСостояния;
        КоличествоПопытокПодключения = КоличествоПопытокПодключения + 1;
    Исключение
        Приостановить(2);
        КоличествоПопытокПодключения = КоличествоПопытокПодключения + 1;
    КонецПопытки;
КонецЦикла;>

```

### Синтаксис

```bsl
Прокси = ПолучитьПрокси.ПоНомеру(НомерСтроки);
```

Возвращает созданный ИнтернетПрокси с адресом и портом из полученной через API https://www.proxy-list.download таблицы значений.  
*Номер строки - строка в таблице значений с данными для подключения к прокси.*  
*Сервера обновляются каждые 20 минут.*

```bsl
Прокси = ПолучитьПрокси.Случайный();
```
Возвращает случайный созданный ИнтернетПрокси с адресом и портом из полученной через API https://www.proxy-list.download таблицы значений
Не требует параметров. Вернет прокси, номер которого в диапозоне от 1 до последнего.

```bsl
Прокси = ПолучитьПрокси.ТаблицаЗначений();
```
Возвращает таблицу значений с параметрами для создания прокси для дальнейше обработки пользователем.
Столбцы: ip, port, дата добавления, статус.


## Развитие библиотеки

Разработка ведется по git-flow. Принимаются issues и пул реквесты.

## Лицензия

MIT License  
Текст лицензии доступен в файле LICENSE.
