#Использовать "./internal"

// <Возвращает созданный ИнтернетПрокси с адресом и портом из полученной через API https://www.proxy-list.download таблицы значений
// Пример использования:
// Пока ((КодСостоянияСоединения > 300) И (КоличествоПопытокПодключения < 25)) Цикл
// 	Попытка
// 	Прокси = ПолучитьПрокси.ПоНомеру(КоличествоПопытокПодключения);	
// 	HTTP = Новый HTTPСоединение(ИмяСервера,443,,,Прокси,3);
// 	ОтветHTTP = HTTP.ОтправитьДляОбработки(HTTPЗапрос);
// 	КодСостоянияСоединения = ОтветHTTP.КодСостояния;
// 	КоличествоПопытокПодключения = КоличествоПопытокПодключения + 1;
// Исключение
// 	Приостановить(2);
// 	КоличествоПопытокПодключения = КоличествоПопытокПодключения + 1;
// КонецПопытки;
// КонецЦикла;>
//
// Параметры:
//   НомерСтроки - <Тип: Число> - <Номер строки в таблице значений (подразумевается перебор данных адресов)>
//
//  Возвращаемое значение:
//   <ИнтернетПрокси> - <ИнтернетПрокси готовый для использования в HTTPСоединение>
//
Функция ПоНомеру(НомерСтроки) Экспорт
	
	ПроксиДанные = ГенераторПрокси.ДанныеОПроксиВТз();

	ПроксиИП = ПроксиДанные[НомерСтроки].ip;
	ПроксиПорт = ПроксиДанные[НомерСтроки].port; 

	Прокси = Новый ИнтернетПрокси(Ложь);
	Прокси.Установить("https", ПроксиИП, ПроксиПорт, "", "", Ложь);
	Возврат Прокси;

КонецФункции

 // <Возвращает таблицу значений с параметрами для создания прокси
 // для дальнейше обработки пользователем.
 // Столбцы: ip, port, дата добавления, статус.>
 //
 // Возвращаемое значение:
 //   <ТаблицаЗначений>   - <описание возвращаемого значения>
 //
 Функция ТаблицаЗначений() Экспорт
	 Возврат ГенераторПрокси.ДанныеОПроксиВТз();
 КонецФункции

 // <Возвращает случайный созданный ИнтернетПрокси с адресом и портом из полученной через API https://www.proxy-list.download таблицы значений
 // Не требует параметров. Вернет прокси, номер которого в диапозоне от 1 до последнего.>
 //
 // Параметры:
 //
 // Возвращаемое значение:
 //   <ИнтернетПрок>   - <ИнтернетПрокси готовый для использования в HTTPСоединение>
 //
 Функция Случайный() Экспорт
	 
	ПроксиДанные = ГенераторПрокси.ДанныеОПроксиВТз();
	
	Генератор = Новый ГенераторСлучайныхЧисел();
	НомерСтроки = Генератор.СлучайноеЧисло(1, ПроксиДанные.Количество());

	ПроксиИП = ПроксиДанные[НомерСтроки].ip;
	ПроксиПорт = ПроксиДанные[НомерСтроки].port; 

	Прокси = Новый ИнтернетПрокси(Ложь);
	Прокси.Установить("https", ПроксиИП, ПроксиПорт, "", "", Ложь);
	Возврат Прокси;

 КонецФункции